
# For giggles, option to use bundled qmltermwidget, not by default
%bcond_with bundled_qmltermwidget

%global qmltermwidget_ver 0.1.0

Name:       cool-retro-term
Summary:    A terminal emulator that simulates old CRT screens
Version:    1.0.0
Release:    1%{?dist}
License:    GPLv3
URL:        https://github.com/Swordfish90/cool-retro-term/

Source0:    https://github.com/Swordfish90/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

%if %{with bundled_qmltermwidget}
# Required for bundled qmltermwidget
Source1:    https://github.com/Swordfish90/qmltermwidget/archive/v%{qmltermwidget_ver}/qmltermwidget-%{qmltermwidget_ver}.tar.gz
%endif

# TODO: Add AppStream appdata.xml

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Declarative)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Quick)
BuildRequires: desktop-file-utils

%if %{with bundled_qmltermwidget}
# Enumerate bundled Provides
Provides:      bundled(qmltermwidget) = %{qmltermwidget_ver}
%endif

# Runtime requirements not picked up by RPM
Requires:      qt5-qtquickcontrols%{?_isa}
Requires:      qt5-qtgraphicaleffects%{?_isa}

%if %{without bundled_qmltermwidget}
Requires:      qmltermwidget%{?_isa} >= %{qmltermwidget_ver}
%endif


%if %{with bundled_qmltermwidget}
# Exclude bundled qmltermwidget from generated Provides
%global __provides_exclude_from ^%{_qt5_prefix}/qml/QMLTermWidget/.*\\.so$
%endif

%description
cool-retro-term is a terminal emulator which tries
to mimic the look and feel of the old cathode tube screens.
It has been designed to be eye-candy, customizable, and reasonably lightweight.


%prep
%setup -q

%if %{with bundled_qmltermwidget}
rm -rf qmltermwidget
tar xf %{S:1}
mv qmltermwidget-%{qmltermwidget_ver} qmltermwidget
%else
sed -e "s/SUBDIRS += qmltermwidget//" -i %{name}.pro
%endif


%build
%qmake_qt5
%make_build


%install
make install INSTALL_ROOT=%{buildroot}

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{name}.desktop


%files
%license gpl-2.0.txt gpl-3.0.txt
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/%{name}.png
%if %{with bundled_qmltermwidget}
%{_qt5_prefix}/qml/QMLTermWidget/
%endif

%changelog
* Wed Jul 13 2016 Neal Gompa <ngompa13@gmail.com> - 1.0.0-1
- Initial packaging
